POST /launcher/get-states
Retrieve user states for the game

Header Parameters

X-Request-Nonce string optional header
Random string identifier for request (for signature verification)
X-Request-Signature string optional header
MD5 hash for request verification

Request Body required

application/json
launcherJwt string REQUIRED
limit integer
skip integer
label string

Responses

200 Successful response
application/json
success boolean
states object[]
Array of:
_id string
gameId string
ipfsHash string
normalizedAddress string
label string
updatedAt integer (int64)
state object
400 Bad Request
401 Unauthorized
curl -X POST 'https://api.basement.fun/launcher/get-states' \  -H 'Content-Type: application/json' \  -d '{  "launcherJwt": "string",  "limit": 20,  "skip": 0,  "label": "string"}'
const response = await fetch('https://api.basement.fun/launcher/get-states', {  method: 'POST',  headers: {      "Content-Type": "application/json"  },  body: JSON.stringify({    "launcherJwt": "string",    "limit": 20,    "skip": 0,    "label": "string"  })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://api.basement.fun/launcher/get-states', json={  "launcherJwt": "string",  "limit": 20,  "skip": 0,  "label": "string"})print(response.json())
200 Response
{  "success": true,  "states": [    {      "_id": "<string>",      "gameId": "<string>",      "ipfsHash": "<string>",      "normalizedAddress": "<string>",      "label": "<string>",      "updatedAt": 123,      "state": "<object>"    }  ]}
Ask a question... ⌘I